#ifndef _VxvList_h
#define _VxvList_h

#include <X11/Xaw3d/List.h>

class xvList: public xvCore
{
	public:
		xvList();
		xvList(String name, xvCore & parent, XtCallbackProc callback, 
			int numdata, char **listdata, int columns);
		~xvList();

		void init(String name, xvCore & parent, XtCallbackProc callback, 
			int numdata, char **listdata, int columns);

		void init(String name, Widget parent, XtCallbackProc callback, 
			int numdata, char **listdata, int columns);

 		void SetList(int numdata, char **listdata);
		void Highlight(int item);
		void Unhighlight();
		XawListReturnStruct *ShowCurrent();
		int GetLongest();
		void ChangeFont(String fontname);

	private:
		Boolean alloc;
		xvFont bfont;
};

#endif // _VxvList_h
