#ifndef _VxvTimer_h
#define _VxvTimer_h


#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

class xvTimer: public xvLabel
{
	public:
		xvTimer();
		xvTimer(String name, xvCore & parent, unsigned long timed, 
				XtTimerCallbackProc tcall, Boolean visible=TRUE);
		~xvTimer();
		void init(String name, xvCore & parent, unsigned long timed, 
				XtTimerCallbackProc tcall, Boolean visible=TRUE);
		void Reset();		
		void Reset(unsigned long timed);

	private:
		XtAppContext app_cxt;
		unsigned long interval;
		XtTimerCallbackProc proc;
		XtPointer cdata;
		XtIntervalId intid;
};

#endif // _VxvTimer_h
