#ifndef _VxvWindow_h
#define _VxvWindow_h


class xvWindow: public xvGraphic
{
	public:
		xvWindow();
		xvWindow(String name, String classname, xvCore &TopLevel);
		~xvWindow();

		void init(String name, String classname, xvCore &TopLevel);
		void Open();
		void Close();
		void MovePointer(int x, int y);
		void SetWindowResource(String resname, XtArgVal res);
		void GetWindowResource(String resname, XtArgVal *res);
	
		Widget GetParent();
		int LoadNewIcon(String name, int pixtype=XVBITMAP);
		void ReleaseBorder();
		void FixBorder(Dimension width, Dimension height);
		void SetWindowLocation(Position x, Position y);

	private:
	  Widget BParent;
	  Boolean BOpen;
	  Boolean alloc;
	  xvBasicBitmap iconmap;
};

#endif // _VxvWindow_h
