#ifndef _VxvBasicBitmap_h
#define _VxvBasicBitmap_h

#define XVBITMAP		0
#define XVPIXMAP		1

class xvBasicBitmap
{
	public:
		xvBasicBitmap();
		xvBasicBitmap(String name, xvCore & object, int pixtype=XVBITMAP);
		~xvBasicBitmap();

		void init(String name, xvCore & object, int pixtype=XVBITMAP);
		void init(String name, Widget wid, int pixtype=XVBITMAP);

		int ReadFile(String name, int pixtype=XVBITMAP);
		Pixmap GetPixmap();

	protected:	
		Pixmap xvpixmap;
		Pixmap dxvpixmap;

		Display *xvdisplay;
		Window xvwindow;
		unsigned int width, height;
		int hotx, hoty;	

};


#endif // _VxvBasicBitmap_h