#ifndef _VxvDropDown_h
#define _VxvDropDown_h


class xvDropDown: public xvCore
{
	
	public:
		xvDropDown();
		xvDropDown(String name, xvCore & parent, int numargs, char **argdata,
				XtCallbackProc button_callback, XtCallbackProc select_callback,
				int vdepth=5, int currentindex=0);
		~xvDropDown();

		void init(String name, xvCore & parent, int numargs,  char **argdata,
			XtCallbackProc button_callback, XtCallbackProc select_callback,
			int vdepth=5, int currentindex=0);

		Widget ID();
		void DropDownOpen();
		int DropDownClose(XtPointer calldata);
		void SetCurrent(int xcur);
		void SetButtonResource(String rname, XtArgVal resource);
		void SetListResource(String rname, XtArgVal resource);
		void SetLabelResource(String rname, XtArgVal resource);
		void SetAllResource(String rname, XtArgVal resource);
		void SetNewList(int numargs, char *argdata[], int currentindex=0);
		void ChangeFont(String name);
		void ChangeWidth(Dimension wid);
		void SetBackground(String name);
		void SetForeground(String name);
		void SetSensitive(Boolean sense);
		
	private:
		void CalcHeights();
 
		xvForm dropform;
		xvLabel droplabel;
		xvButton dropbutton;
		xvPopupShell dropshell;
		xvView dropview;
		xvList droplist;
	
		int bwidth, miscwidth;
		int numlist;
		int ddepth;
		int current;
		int labelwidth;
		char* *copydata;
};


#endif // _VxvDropDown_h
