#ifndef _VxvFont_h
#define _VxvFont_h

class xvFont
{
	public:
		xvFont();
		xvFont(xvCore & object, String fontname);
		~xvFont();

		// ** init Methods		
		void init(xvCore & object, String fontname);
		void init(Widget gcw, String fontname);

		void FLoadFont(String fontname);
		void FUnloadFont();
		int FGetTextWidth(String str);
		XCharStruct *FTextExtents(String string, int *dir, int *ascent, int *descent);
		XFontStruct *FontRef();
		Font FontID();

	protected:
		Widget xvwidget;
		Display *xvdisplay;
		Screen *xvscreen;
		Window xvwindow;

		Font xvfont;
		XFontStruct *xvfontstruct;
		XCharStruct xvcharstruct;

	private:
		Boolean alloc;
};

#endif // _VxvFont_h