#ifndef _VxvMenuBar_h
#define _VxvMenuBar_h

class xvMenuBar: public xvCore
{
	public:
	  xvMenuBar();
	  xvMenuBar(String name, xvCore & parent, int num, char **menuinfo, Boolean manage=TRUE);	 
	  ~xvMenuBar();

	  void init(String name, xvCore & parent, int num, char **menuinfo, Boolean manage=TRUE);	 

	  Widget GetButton(char *name);
	  void SetResource(String name, String resource, XtArgVal val);
	  void SetAllResource(String resource, XtArgVal val);
	  void ManageChildren(Boolean manage=TRUE);
	  void ChangeFont(String fontname);

	private:
	  void setupMenu(int num, char **menuinfo);

	  int numbuttons;
	  Widget MenuButtons[30];
	  char *menulist[30];	
	  Boolean alloc;
	  xvFont bfont;
};

#endif _VxvMenuBar_h
