#ifndef _VxvPopupMenu_h
#define _VxvPopupMenu_h

class xvPopupMenu: public xvPopupShell
{
	public:
		xvPopupMenu();
		xvPopupMenu(char *name, char *header, int argc, char **argv, 
			XtCallbackProc proclist[], xvCore & parent);
		~xvPopupMenu();
	  
		void init(char *name, char *header, int argc, char **argv, 
			XtCallbackProc proclist[], xvCore & parent);

		void MenuEntry(String name, String newname);
		void EntryResource(String name, String resname, XtArgVal res);

		void CheckEntry(char *name);
		void UnCheckEntry(char *name);
		
		Widget GetWidget(char *name);
		void AllResource(String resname, XtArgVal res);
		void ChangeFont(String fontname);
		
	private:
		int findentry(char *name);

		int numentries;
		Widget Sep;
		Widget WidgetList[20];
		Widget MyParent;
		char *listentry[20];
		Pixmap mark;
		XtTranslations mtranslations;
		xvFont bfont;
};

#endif // _VxvPopupMenu_h
