#ifndef _VxvPulldownMenu_h
#define _VxvPulldownMenu_h


class xvPulldownMenu: public xvCore
{
	public:
		xvPulldownMenu();
		xvPulldownMenu(char *name, int argc, char **argv, XtCallbackProc proclist[], Widget parent);
		~xvPulldownMenu();
	  
		void init(char *name, int argc, char **argv, XtCallbackProc proclist[], Widget parent);
	 
		void MenuEntry(String name, String newname);
		void CheckEntry(char *name);
		void UnCheckEntry(char *name);
		void EntryResource(String name, String resname, XtArgVal res);
		void AllResource(String resname, XtArgVal res);
		Widget GetWidget(char *name);
		void ChangeFont(String name);

	private:
	  int findentry(char *name);

	  int numentries;
	  Widget WidgetList[20];
	  char *listentry[20];
	  Pixmap mark;
	  Boolean alloc;
	  xvFont bfont;
};

#endif // _VxvPulldownMenu_h
