#ifndef _VxvRegion_h
#define _VxvRegion_h

class xvRegion
{
	public:
		xvRegion();
		xvRegion(XPoint points[], int n, int fill_rule);
		~xvRegion();

		void init(XPoint points[], int n, int fill_rule);				
		Region GetRegion();
		void Offset(int dx, int dy);
		void Shrink(int dx, int dy);
		void ClipBox(XRectangle *rect);
		Boolean Empty();
		Boolean PointIn(int x, int y);
		int RectIn(int x, int y, unsigned int width, unsigned int height);		

	private:
		Region myregion;

};


#endif // _VxvRegion_h