#ifndef _VxvToggle_h
#define _VxvToggle_h

#define XVCENTREBITMAP	0
#define XVLEFTBITMAP	1

class xvToggle: public xvCore
{
	public:
		xvToggle();
		xvToggle(String name, xvCore & parent, XtCallbackProc callback,
				String radiodata=NULL);
		~xvToggle();

		void init(String name, xvCore & parent, XtCallbackProc callback,
				String radiodata=NULL);
				
		void ChangeGroup(xvCore & group);
		void ChangeCurrent(String rdata);
		void UnSetGroup();
		XtPointer GetCurrent();
		void ChangeFont(String fontname);
		int ChangeBitmap(String name, int pixtype=XVBITMAP, int position=XVCENTREBITMAP);
	
		void On();
		void Off();
		void State(Boolean statex);
		Boolean GetState();

	private:
		Boolean alloc;	  
		xvFont bfont;
		xvBasicBitmap bmap;
};

#endif // _VxvToggle_h
