#ifndef _VxvVisualList_h
#define _VxvVisualList_h

class xvVisualList: public xvView, public xvList
{
	public:
		xvVisualList();
		xvVisualList(String name, xvCore & parent, XtCallbackProc callback,
			int numdata, char *listdata[], int columns=1, Boolean design=TRUE);

		~xvVisualList();

		void init(String name, xvCore & parent, XtCallbackProc callback,
			int numdata, char *listdata[], int columns=1, Boolean design=TRUE);

		void GetResource(String resname, XtArgVal *val);
		void SetResource(String resname, XtArgVal val);
		void SetFixedPosition(Boolean val);

		void SetForeground(String name);
		void SetForeground(Pixel fg);
		void SetBackground(String name);
		void SetBackground(Pixel bg);
		void Map();
		void Unmap();
		void SetSensitive(Boolean sense);
		void SetMappedWhenManaged(Boolean man);
		void AddEvent(EventMask eventmask, XtEventHandler handler, XtPointer cdata);
		void RemoveEvent(EventMask eventmask, XtEventHandler handler, XtPointer cdata);

};

#endif // _VxvVisualList_h
